> For the complete documentation index, see [llms.txt](https://docs.nebulablock.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nebulablock.com/overview/platform_api/list_images/delete_gpu_instance.md).

# Delete GPU Instance

Permanently delete an instance by specifying the instance ID in the path to delete the selected instance.

## HTTP Request

`DELETE` `{API_URL}/computing/instance/{id}`

## Path parameters

| Parameters | Requirements | Type     | Description                                                                        |
| ---------- | ------------ | -------- | ---------------------------------------------------------------------------------- |
| id         | Required     | `string` | The unique identifier of the instance. `{id} comes from <List User Instances API>` |

## Response Attributes

#### status `string`

Indicates the result of the request. `success` signifies success, while `failed` indicates an error.

#### message `string`

A description of the status of the request.

## Example

#### Request

```bash
curl -X DELETE '{API_URL}/computing/instance/{id}' \
-H 'Authorization: Bearer {TOKEN/KEY}' \
-H 'Content-Type: application/json' \
```

#### Response

```json
{
    "message": "Instances deleted successfully",
    "status": "success"
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nebulablock.com/overview/platform_api/list_images/delete_gpu_instance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
